Fix bashisms in configure script.

Bug: https://bugs.gentoo.org/821451

--- a/configure.ac
+++ b/configure.ac
@@ -444,10 +444,10 @@
 					[PKG_CHECK_MODULES(_SIPE_MEDIA_RECHECK_PLEASE_IGNORE, [$purple_pkgconfig >= 2.8.0],
 						dnl check purple pkgconfig for gstreamer version
 						[gstreamer_pkgconfig=`$PKG_CONFIG --variable=gstreamer $purple_pkgconfig`
-						AS_IF([test "x$gstreamer_pkgconfig" == x],
-							[AS_IF([test "x$purple_pkgconfig" == xpurple-3],
+						AS_IF([test "x$gstreamer_pkgconfig" = x],
+							[AS_IF([test "x$purple_pkgconfig" = xpurple-3],
 								[gstreamer_pkgconfig=1.0])])
-						AS_IF([test "x$gstreamer_pkgconfig" == x1.0],
+						AS_IF([test "x$gstreamer_pkgconfig" = x1.0],
 							[gstreamer_pkgconfig="gstreamer-$gstreamer_pkgconfig gstreamer-rtp-$gstreamer_pkgconfig"
 
 							AC_MSG_NOTICE([using packages "$gstreamer_pkgconfig".])
@@ -556,18 +556,18 @@
 AM_CONDITIONAL(SIPE_WITH_VV, [test "x$with_purple_vv" != xno])
 
 dnl raw data RTP streams enable Lync file transfer
-AM_CONDITIONAL(SIPE_HAVE_XDATA, [test "x$ac_have_xdata" == xyes])
-AS_IF([test "x$ac_have_xdata" == xyes],
+AM_CONDITIONAL(SIPE_HAVE_XDATA, [test "x$ac_have_xdata" = xyes])
+AS_IF([test "x$ac_have_xdata" = xyes],
 	[AC_DEFINE(HAVE_XDATA, 1, [Define if we have raw data RTP in media backend.])])
 
 dnl enable appshare support
-AM_CONDITIONAL(SIPE_HAVE_APPSHARE, [test "x$ac_have_appshare" == xyes])
-AS_IF([test "x$ac_have_appshare" == xyes],
+AM_CONDITIONAL(SIPE_HAVE_APPSHARE, [test "x$ac_have_appshare" = xyes])
+AS_IF([test "x$ac_have_appshare" = xyes],
 	[AC_DEFINE(HAVE_APPSHARE, 1, [Define to 1 if we have appshare support.])])
 
 dnl RDP server for sharing local desktop
 AM_CONDITIONAL(SIPE_HAVE_APPSHARE_SERVER, [test "x$ac_have_appshare_server" = xyes])
-AS_IF([test "x$ac_have_appshare_server" == xyes],
+AS_IF([test "x$ac_have_appshare_server" = xyes],
 	[AC_DEFINE(HAVE_APPSHARE_SERVER, 1, [Define if appshare server is enabled.])])
 
 dnl libpurple API relies on GParameter (deprecated in glib-2.0 >= 2.62.0)
@@ -584,7 +584,7 @@
 		   [We need GValueArray for which no replacement is available])
 	])
 dnl libpurple 2.x API relies on G_CONST_RETURN (deprecated in glib-2.0 >= 2.30.0)
-AS_IF([test "x$purple_pkgconfig" == xpurple],
+AS_IF([test "x$purple_pkgconfig" = xpurple],
 	[AC_DEFINE(GLIB_VERSION_MIN_REQUIRED, GLIB_VERSION_2_28,
 		   [libpurple 2.x API uses G_CONST_RETURN])
 	])
